Package logilab :: Package common :: Module registry :: Class NotPredicate

[frames] | no frames]

# Class NotPredicate

source code

    object --+
             |
     Predicate --+
                 |
                NotPredicate

    negation selector

Instance Methods

__init__(self, selector) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__call__(self, cls, *args, **kwargs) | source code

__str__(self) str(x) | source code

Inherited from `Predicate`: `__and__`, `__iand__`, `__invert__`, `__ior__`, `__or__`, `__rand__`, `__repr__`, `__ror__`, `func_name`, `search_selector` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, selector)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### __call__(self, cls, *args, **kwargs)
(Call operator)

source code

Overrides: Predicate.__call__

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)